Subject: [Pce] Comment on draft-crabbe-pce-stateful-pce-protection-00

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 21 Feb 2013 11:43:53 +0000

Hi PCEers

I did not see any reply on my previous comments I repost them with separate threads, as the initial one were big

1.      Section 3.1 : Why not reuse the draft-ietf-pce-gmpls-pcep-extensions  PROTECTION_ATTRIBUTE ? the local protection can be seen as the seg. Flags  from RFC4873 , this would also cover the Section 4.1
2.      Section 4.1 : wrong figure title
3.      Section 4.1 : the S flag semantic would collide with draft-ietf-pce-gmpls-pcep-extensions  PROTECTION_ATTRIBUTE object S bit,,
4.      Section 4.3 : does this indicate for a given LSP what is the bypass LSP node, is this expecting one bypass tunnel ? why  not associated the tunnels (one could make use of RFC4872 association or create a list of associated LSP-ID, possibly with role/flags??)
5.      Section 4.4 : One another more generic possibility would be to have an association list with role or making use of the association object,

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks Optical GmbH
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks Optical GmbH
Geschäftsleitung / Board of Directors: Gero Neumeier, Dr. Rolf Nauerz
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143